# Bank Verification Number (BVN)

{% hint style="info" %}
Please note that when using your test key, Our test persona is **John Doe** and his Bank Verification Number as **10000000001.** Hence all matching done with your test keys with details other than that of our Test Persona would simulate a failed identity matching.&#x20;
{% endhint %}

## Verify BVN

<mark style="color:green;">`POST`</mark> `https://vapi.verifyme.ng/v1/verifications/identities/bvn/:ref`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| ref  | string | BVN Number  |

#### Query Parameters

| Name | Type   | Description                                           |
| ---- | ------ | ----------------------------------------------------- |
| type | string | This refers to the payload type ie premium\` or basic |

#### Headers

| Name          | Type   | Description          |
| ------------- | ------ | -------------------- |
| Authorization | string | Authorization Header |

#### Request Body

| Name      | Type   | Description         |
| --------- | ------ | ------------------- |
| dob       | string | Date Of Birth       |
| lastname  | string | Lastname to verify  |
| firstname | string | Firstname to verify |

{% tabs %}
{% tab title="200 For premium payload type" %}

```
{
  "status": "success",
  "data": {
    "fieldMatches":{
      "firsname":false,
      "lastname":false,
      "dob":false
    }
    "bvn": 10000000001,
    "firstname": "John",
    "lastname": "Doe",
    "middlename": "Jane"
    "phone": "08066676673",
    "gender": "female"
    "birthdate": "04-04-1944",
    "photo": "Base64 Encoded",
    "maritalStatus": "Single",
    "lgaOfResidence": "Surulere",
    "lgaOfOrigin": "Ijebu ode",
    "residentialAddress": "1 jameson street",
    "stateOfOrigin": "Ogun State",
    "enrollmentBank": "058",
    "enrollmentBranch": "BODIJA",
    "nameOnCard": "JOHN DOE",
    "title": "Mr",
    "levelOfAccount": "Level 2 - Medium Level Accounts",
  } 
}
```

{% endtab %}

{% tab title="404 " %}

```
{
    "code":"NOT_FOUND_ERROR",
    "message":"BVN provided is not found. Please provide a valid bvn"
}
```

{% endtab %}
{% endtabs %}

**Sample Request**

{% tabs %}
{% tab title="Curl" %}

```
curl --location --request POST 'https://vapi.verifyme.ng/v1/verifications/identities/bvn/10000000001' \
--header 'Authorization: Bearer <your secret key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "firstname":"John",
    "lastname":"Doe",
    "dob":"04-04-1944"
}'
```

{% endtab %}
{% endtabs %}

#### Response Payloads

We have 2 types of payload responses for bvn verifications&#x20;

* Premium&#x20;
* Basic

{% tabs %}
{% tab title="basic response" %}

```
{
   "status": "success",
    "data": {
        "bvn": "22515263226",
        "firstname": "JOHN",
        "lastname": "DOE",
        "middlename": "JAMES",
        "gender": "Male",
        "phone": "08100000000",
        "birthdate": "31-05-2000", 
        "photo": "<base64 image>",
         "fieldMatches": {
            "firstname": false,
            "lastname": false
        }
    }
}
```

{% endtab %}

{% tab title="premium response" %}

```
{
  "status": "success",
  "data": {
    "bvn": 10000000001,
    "firstname": "John",
    "lastname": "Doe",
    "middlename": "Jane"
    "phone": "08066676673",
    "gender": "female"
    "birthdate": "17/01/1988",
    "photo": "Base64 Encoded",
    "maritalStatus": "Single",
    "lgaOfResidence": "Surulere",
    "lgaOfOrigin": "Ijebu ode",
    "residentialAddress": "1 jameson street",
    "stateOfOrigin": "Ogun State",
    "enrollmentBank": "058",
    "enrollmentBranch": "BODIJA",
    "nameOnCard": "JOHN DOE",
    "title": "Mr",
    "levelOfAccount": "Level 2 - Medium Level Accounts",
     "fieldMatches":{
        "firsname":false,
        "lastname":false,
        "dob":false
    }
  } 
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifyme.ng/identity-verifications/bank-verification-number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
